SystemOrganization addCategory: #TusLibros!

TestCase subclass: #TestTusLibros
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!TestTusLibros methodsFor: 'something' stamp: 'PabloRago 5/27/2013 21:08'!
aNewCart

	^ CartTusLibros createCartForClient: (self luisClientID) withPassword: (self luisPassword)! !

!TestTusLibros methodsFor: 'something' stamp: 'PabloRago 5/27/2013 21:07'!
luisClientID

	^ 123456.! !

!TestTusLibros methodsFor: 'something' stamp: 'PabloRago 5/27/2013 21:07'!
luisPassword

	^ 'luis2013'.! !

!TestTusLibros methodsFor: 'something' stamp: 'PabloRago 5/27/2013 21:09'!
someBook

	^ 'implement'! !

!TestTusLibros methodsFor: '1 Tests Cart' stamp: 'PabloRago 5/27/2013 21:54'!
test01CreatedCartShouldBeEmpty
	
	
	self assert: (self aNewCart) isEmpty.! !

!TestTusLibros methodsFor: '1 Tests Cart' stamp: 'PabloRago 5/27/2013 21:21'!
test02BooksAddedToTheCartShouldBeInTheCart
	
	self assert: (((self aNewCart) add: self someBook) contains: self someBook).! !

!TestTusLibros methodsFor: '1 Tests Cart' stamp: 'PabloRago 5/27/2013 21:21'!
test03TheCartShouldOnlyContainTheAddedBooks
	
	| aCart |
	
	aCart := self aNewCart.
	aCart add: self someBook. 
	aCart add: self someOtherBook.

	self assert: (aCart contains: self someBook).
	self assert: (aCart contains: self someOtherBook).
	self assert: (aCart size = 2).! !

!TestTusLibros methodsFor: '1 Tests Cart' stamp: 'PabloRago 5/27/2013 21:23'!
test04TheCartCanContainTwoCopiesOfTheSameBook
	
	| aCart |
	
	aCart := self aNewCart.
	aCart add: self someBook. 
	aCart add: self someBook.

	self assert: (aCart contains: self someBook).
	self assert: (aCart size = 2).! !

!TestTusLibros methodsFor: '1 Tests Cart' stamp: 'PabloRago 5/27/2013 21:41'!
test05CartCanListAddedBooks
	
	| aCart amountSomeOtherBook amountSomeBook|
	
	aCart := self aNewCart.
	
	aCart add: self someBook. 
	aCart add: self someBook.
	aCart add: self someOtherBook.
	aCart add: self someOtherBook.
	aCart add: self someOtherBook.
	
	amountSomeOtherBook := 0.
	amountSomeBook := 0.
	
	aCart list do: [ :aBook | 
	(aBook = self someOtherBook)
		ifTrue: [ amountSomeOtherBook := amountSomeOtherBook + 1 ]  .
	(aBook = self someBook)
		ifTrue: [ amountSomeBook := amountSomeBook + 1 ].
	].

	self assert: amountSomeOtherBook = 3.
	self assert: amountSomeBook = 2.! !

Object subclass: #CartTusLibros
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!
